GET /profiles
GETprofiles
Retrieve all profiles for the current user
Query Parameters
offset string
Number of items to skip before starting to return results
limit string
Maximum number of items to return per request
sort string
Example: name (desc) or name (asc)
Returns
- dataarray
- namestringName of the profile
- ipsarrayList of IP addresses associated with the profile
- ip_rangestringIP address range in
<start>-<end>format. Example: 255.255.255.250-255.255.255.255. - netmaskstringNetwork mask used to define the IP address block for this profile
- domainsarrayList of domain names associated with the profile
- domains_rbl_hostsarrayList of RBL hosts used for domain reputation checks
- ips_rbl_hostsarrayList of RBL hosts used for IP reputation checks
- idstringUnique identifier of the profile
- statusstringCurrent processing status of the profileAllowed values:
IN_PROGRESS,UPDATED,FAILED - ips_amountintegerTotal number of IP addresses associated with the profile
- domains_amountintegerTotal number of domains associated with the profile
- created_atstringTimestamp when the profile was created
- updated_atstringTimestamp when the profile was last updated
- namestring
- metaobjectPagination metadata for list responses
- countintegerTotal number of items available
- offsetintegerNumber of items skipped
- limitintegerMaximum number of items returned per request
- countinteger
Error Codes
400 Bad Request
Bad Request
401 Unauthorized
Unauthorized
403 Forbidden
Forbidden
500 Internal Server Error
Internal server error